Auth Login with email and password
POST
/iam/api/v1/auth/login

Request Body

Login input

Required

emailstringrequired

passwordstringrequired

Example:

{
  "email": "string",
  "password": "string"
}

Responses

200
OK

Response Fields:

  • access_token (string)

  • expires_in (integer)

  • refresh_token (string)

  • token_type (string)

  • user (object)

Example:

{
  "access_token": "string",
  "expires_in": 0,
  "refresh_token": "string",
  "token_type": "string",
  "user": {
    "auth_provider": "email",
    "created_at": "string",
    "email": "string",
    "email_verified": true,
    "id": "string",
    "last_login_at": "string",
    "name": "string",
    "profile_picture_url": "string",
    "role": {
      "description": "string",
      "id": "string",
      "is_system": true,
      "name": "string",
      "permissions": [
        {
          "action": "...",
          "code": "...",
          "description": "...",
          "entity": "...",
          "id": "...",
          "service": "..."
        }
      ],
      "resource_type": "string"
    },
    "status": "active"
  }
}
400
Bad Request

Example:

{
  "key": "value"
}
401
Unauthorized

Example:

{
  "key": "value"
}